Added

Version 1.42.0

Third Party API (v 1.42.0)


What's Changed


POST /api/business/{businessId}/branch/{branchId}/service/{serviceId}/addon/{addonServiceId}
Return Type:

Changed response : 200 OK

Add-on linked successfully

  • Changed content type : application/json

    • Added property finishDuration (integer)

      Length in minutes of the finish block booked after this service, it is not included in duration. If absent or 0, the service has no finish block. Staff-specific values in userFinishDurations take precedence

    • Added property userFinishDurations (array)

      Staff-specific finish durations for this service, keyed by the userId of the staff member. A staff-specific finish duration takes precedence over finishDuration

      Items (object):

      Staff-specific finish durations for this service, keyed by the userId of the staff member. A staff-specific finish duration takes precedence over finishDuration

      • Property userRef (string)

      • Property duration (integer)

        in minutes

    • Changed property userDurations (array)

      Changed items (object):

      Staff-specific finish durations for this service, keyed by the userId of the staff member. A staff-specific finish duration takes precedence over finishDuration

DELETE /api/business/{businessId}/branch/{branchId}/service/{serviceId}/addon/{addonServiceId}
Return Type:

Changed response : 200 OK

Add-on unlinked successfully

  • Changed content type : application/json

    • Added property finishDuration (integer)

      Length in minutes of the finish block booked after this service, it is not included in duration. If absent or 0, the service has no finish block. Staff-specific values in userFinishDurations take precedence

    • Added property userFinishDurations (array)

      Staff-specific finish durations for this service, keyed by the userId of the staff member. A staff-specific finish duration takes precedence over finishDuration

    • Changed property userDurations (array)

      Changed items (object):

      Staff-specific finish durations for this service, keyed by the userId of the staff member. A staff-specific finish duration takes precedence over finishDuration

GET /api/business/{businessId}/branch/{branchId}/service/{serviceId}
Return Type:

Changed response : 200 OK

Specified branch service retrieved

  • Changed content type : application/json

    • Added property finishDuration (integer)

      Length in minutes of the finish block booked after this service, it is not included in duration. If absent or 0, the service has no finish block. Staff-specific values in userFinishDurations take precedence

    • Added property userFinishDurations (array)

      Staff-specific finish durations for this service, keyed by the userId of the staff member. A staff-specific finish duration takes precedence over finishDuration

    • Changed property userDurations (array)

      Changed items (object):

      Staff-specific finish durations for this service, keyed by the userId of the staff member. A staff-specific finish duration takes precedence over finishDuration

GET /api/business/{businessId}/branch/{branchId}/service
Return Type:

Changed response : 200 OK

Branch services listed

  • Changed content type : application/json

    • Changed property _embedded (object)

      • Changed property services (array)

        Changed items (object):

        • Added property finishDuration (integer)

          Length in minutes of the finish block booked after this service, it is not included in duration. If absent or 0, the service has no finish block. Staff-specific values in userFinishDurations take precedence

        • Added property userFinishDurations (array)

          Staff-specific finish durations for this service, keyed by the userId of the staff member. A staff-specific finish duration takes precedence over finishDuration

        • Changed property userDurations (array)

          Changed items (object):

          Staff-specific finish durations for this service, keyed by the userId of the staff member. A staff-specific finish duration takes precedence over finishDuration

Result


API changes are backward compatible